Subject: RE: bug#12915: 24.2.50; Visiting a file via drag-and-drop should add it to the historyof visited files

From: "Drew Adams" <[email-masked]>
Date: Sun, 13 Jan 2013 09:14:54 -0800

> > When this feature was discussed last time at
> > http://thread.gmane.org/gmane.emacs.pretest.bugs/9253/focus=43774
> > I found it too irritating that it clutters the minibuffer history
> > with too many unnecessary elements that were not entered manually.
> 
> That discussion also suggested a very simple device to avoid such
> cluttering, and only add to history files which Emacs visited by user
> commands.

Users should be able to choose for themselves which kinds of interaction
(drag-n-drop, menu access, etc.) should result in adding the file name.  One
size does not fit all.

> So this difficulty doesn't seem to be a real one.

Not for you, perhaps.
 
> > Since this is a matter of personal preference, I think not 
> > Lisp callers but Emacs users should be able to specify what
> > to add to the history.
> 
> Emacs already has way too many options.

Wrong.  That's akin to saying that Emacs users have too many options, too much
freedom to customize Emacs.